QXmpp: QXmppDataForm::MediaSource Class Reference

QXmpp Version: 1.14.4

Loading...
Searching...
No Matches
QXmppDataForm::MediaSource Class Reference

## Public Member Functions
| MediaSource ()
| MediaSource (const QUrl &uri, const QMimeType &contentType)
| MediaSource (const QXmppDataForm::MediaSource &)
| Default copy-constructor.
| MediaSource (QXmppDataForm::MediaSource &&)
| Default move-constructor.
MediaSource & | operator= (const MediaSource &)
| Default assignment operator.
MediaSource & | operator= (MediaSource &&)
| Default move-assignment operator.
QUrl | uri () const
void | setUri (const QUrl &uri)
QMimeType | contentType () const
void | setContentType (const QMimeType &contentType)
bool | operator== (const MediaSource &other) const

## Detailed Description

The QXmppDataForm::MediaSource class represents a link to one of possibly multiple sources for a media element from XEP-0221: Data Forms Media Element consisting of a MIME type and a QUrl.

Since
  QXmpp 1.1

## Constructor & Destructor Documentation

## ◆ MediaSource() [1/2]

QXmppDataForm::MediaSource::MediaSource | ( |  | ) |

Default constructor

## ◆ MediaSource() [2/2]

QXmppDataForm::MediaSource::MediaSource | ( | const QUrl & | uri,
|  | const QMimeType & | contentType )

Constructs a MediaSource and sets its uri and contentType.

Parameters

  uri |
  contentType |

## Member Function Documentation

## ◆ contentType()

QMimeType QXmppDataForm::MediaSource::contentType | ( |  | ) | const

Returns the content type of the source

## ◆ operator==()

bool QXmppDataForm::MediaSource::operator== | ( | const MediaSource & | other | ) | const

Returns true if two media sources are identical.

## ◆ setContentType()

void QXmppDataForm::MediaSource::setContentType | ( | const QMimeType & | contentType | ) |

Sets the content type of the media source.

## ◆ setUri()

void QXmppDataForm::MediaSource::setUri | ( | const QUrl & | uri | ) |

Sets the URI.

## ◆ uri()

QUrl QXmppDataForm::MediaSource::uri | ( |  | ) | const

Returns the media URI as QUrl. This can be i.e. a `http://` URL or a `cid:` Bits of Binary URI.

The documentation for this class was generated from the following files:

- QXmppDataForm.h
- QXmppDataForm.cpp